# Chemoecology Tools

[![PyPI](https://img.shields.io/pypi/v/chemoecology-tools.svg)][pypi_]
[![Status](https://img.shields.io/pypi/status/chemoecology-tools.svg)][status]
[![Python Version](https://img.shields.io/pypi/pyversions/chemoecology-tools)][python version]
[![License](https://img.shields.io/pypi/l/chemoecology-tools)][license]

[![Read the documentation at https://chemoecology-tools.readthedocs.io/](https://img.shields.io/readthedocs/chemoecology-tools/latest.svg?label=Read%20the%20Docs)][read the docs]
[![Tests](https://github.com/wolfffff/chemoecology-tools/workflows/Tests/badge.svg)][tests]
[![Codecov](https://codecov.io/gh/wolfffff/chemoecology-tools/branch/main/graph/badge.svg)][codecov]

[![pre-commit](https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit&logoColor=white)][pre-commit]
[![Black](https://img.shields.io/badge/code%20style-black-000000.svg)][black]

[pypi_]: https://pypi.org/project/chemoecology-tools/
[status]: https://pypi.org/project/chemoecology-tools/
[python version]: https://pypi.org/project/chemoecology-tools
[read the docs]: https://chemoecology-tools.readthedocs.io/
[tests]: https://github.com/wolfffff/chemoecology-tools/actions?workflow=Tests
[codecov]: https://app.codecov.io/gh/wolfffff/chemoecology-tools
[pre-commit]: https://github.com/pre-commit/pre-commit
[black]: https://github.com/psf/black

## ✨ Features

- Load and process GC-MS abundance data
- Calculate chemical enrichment statistics
- Perform multivariate analyses (NMDS, PCA)
- Generate publication-ready visualizations
- Integrate with PubChem for chemical metadata

## Installation

You can install _Chemoecology Tools_ via [pip](https://pip.pypa.io/) from [PyPI](https://pypi.org/project/chemoecology-tools/) or from source.

```console
$ pip install chemoecology-tools
```

```console
$ pip install git+https://github.com/wolfffff/chemoecology-tools.git
```

## Documentation

Full documentation is available at [Read the Docs](https://chemoecology-tools.readthedocs.io/).

- See also the example notebook at [example notebook](https://github.com/wolfffff/chemoecology-tools/blob/main/docs/notebooks/example.ipynb).

## Contributing

Contributions are very welcome.
To learn more, see the [Contributor Guide](https://github.com/wolfffff/chemoecology-tools/blob/main/CONTRIBUTING.md).

## License

Distributed under the terms of the [MIT license](https://github.com/wolfffff/chemoecology-tools/blob/main/LICENSE),
_Chemoecology Tools_ is free and open source software.

## Issues

If you encounter any problems,
please [file an issue](https://github.com/wolfffff/chemoecology-tools/issues) along with a detailed description.

<!-- github-only -->
